package com.ferienclub.leisure.esb.messages;

import com.ferienclub.leisure.LeisureOffer;

public class BookingRequest {

	private String userId;
	private LeisureOffer offer;
	private boolean successful;
	private boolean wantCar;
	private boolean carSuccessful;
	private int numberOfPersons;
	
	public BookingRequest(){
		this.successful = false;
		this.carSuccessful = false;
	}
	
	public BookingRequest(LeisureOffer offer, String userId, int numberOfPersons, boolean wantCar){
		this.offer = offer;
		this.userId = userId;
		this.numberOfPersons = numberOfPersons;
		this.wantCar = wantCar;
		this.successful = false;
		this.carSuccessful = false;
	}
	
	public boolean isCarSuccessful() {
		return carSuccessful;
	}

	public void setCarSuccessful(boolean carSuccessful) {
		this.carSuccessful = carSuccessful;
	}

	public boolean isSuccessful() {
		return successful;
	}

	public void setSuccessful(boolean successful) {
		this.successful = successful;
	}

	public boolean isWantCar() {
		return wantCar;
	}

	public void setWantCar(boolean wantCar) {
		this.wantCar = wantCar;
	}

	public int getNumberOfPersons() {
		return numberOfPersons;
	}

	public void setNumberOfPersons(int numberOfPersons) {
		this.numberOfPersons = numberOfPersons;
	}

	public LeisureOffer getOffer() {
		return offer;
	}

	public void setOffer(LeisureOffer offer) {
		this.offer = offer;
	}

	public String getUserId() {
		return userId;
	}

	public void setUserId(String userId) {
		this.userId = userId;
	}
	
}
